Import HubSpot Contacts
curl --request POST \
--url https://api.getnexor.ai/api/public/hubspot/import \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"contact_ids": [
1
],
"list_id": 123,
"all": true,
"workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.getnexor.ai/api/public/hubspot/import"
payload = {
"contact_ids": [1],
"list_id": 123,
"all": True,
"workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contact_ids: [1],
list_id: 123,
all: true,
workflow_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.getnexor.ai/api/public/hubspot/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mode": "contacts",
"queued": false,
"success": "<unknown>",
"stats": "<unknown>"
}{
"mode": "list",
"queued": true,
"success": "<unknown>",
"job_id": "<unknown>",
"list_id": "<unknown>",
"workflow_id": "<unknown>",
"jobId": "<unknown>",
"reservationId": "<unknown>"
}{
"error": "<unknown>",
"message": "<unknown>",
"field": "<unknown>",
"unknown_keys": "<unknown>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<unknown>",
"required_scopes": "<unknown>"
}{
"error": "<unknown>",
"message": "<unknown>",
"workflow_id": "<unknown>"
}{
"error": "<unknown>",
"message": "<unknown>",
"fix": "<unknown>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<unknown>",
"message": "<unknown>"
}{
"error": "<unknown>",
"message": "<unknown>"
}Import HubSpot Contacts
This operation lets you import HubSpot contacts for the authenticated Nexor account. This reference documents verified path, query, and top-level JSON body fields, observed response status codes, and top-level response fields. Provider-owned or deeply nested response shapes may remain open.
POST
/
hubspot
/
import
Import HubSpot Contacts
Safety and behavior notes
- HTTP 500 and import_in_progress responses can expose delegated error.message text.
- The import creates Nexor leads and can start outreach. contact_ids runs synchronously, while list and all are queued.
- Direct REST has no preview or confirmation path. confirm is not a supported REST field.
- contact_ids has no route-level item limit, so very large synchronous imports can run until a downstream or infrastructure limit fails.
Authorizations
API key for authentication. Keys are prefixed with nxr_live_.
Body
application/json
Last modified on September 8, 2026
⌘I